Does PhpStorm support TextMate bundles?

I'm trying to import a Textmate Bundle into PHPStorm and not having any luck.


There is an extremely slim [Textmate Bundle doc page](https://www.jetbrains.com/phpstorm/help/textmate-bundles.html) that suggests this might be possible but I can't seem to get it working and am beginning to wonder if it only works for Textmate Color Schemes.

Can anyone confirm if TextMate Bundles can work in PhpStorm/WebStorm?  Specifically, I'm interested in importing some bundles that allow me to use tab-triggers and various other handy hot keys.

Cheers.

UPDATE: In further research, it seems that there is [more discussion here](https://plugins.jetbrains.com/plugin/7221?pr=phpStorm). Again a bit unclear if it's full support as all the comments seem to be about color schemes.

But that also makes me realize, I'm running PhpStorm 8.0.3.  Is it possible support was dropped for this as that plugin page only references up to 7.1?

1 comment
Comment actions Permalink

Hi there,

Yes, PhpStorm supports TextMate bundles via corresponding "TextMate bundles support" plugin (provided and enabled by default).

https://confluence.jetbrains.com/display/PhpStorm/TextMate+Bundles+in+PhpStorm

Specifically, I'm interested in importing some bundles that allow me to use tab-triggers and various other handy hot keys.
...
Again a bit unclear if it's full support as all the comments seem to be about color schemes.

Support is provided for editor syntax highlighting/colors only -- nothing like snippets etc.

You can see all outstanding TextMate support tickets here: https://youtrack.jetbrains.com/issues/RUBY?q=%23{TextMate+Bundles}

https://youtrack.jetbrains.com/issue/RUBY-3730 -- about snippets (Live Templates in PhpStorm)

But that also makes me realize, I'm running PhpStorm 8.0.3.  Is it possible support was dropped for this as that plugin page only references up to 7.1?

Nope -- plugin is bundled and enabled by default in v8.0.3.

0

Please sign in to leave a comment.